!+ Subroutine to write formatted continuum transmissions.
!
! Method:
!	Straightforward.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	Version		Date			Comment
!	1.0		12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77  with extensions listed in documentation.
!
!- ---------------------------------------------------------------------
      SUBROUTINE WRITE_CONTINUUM_FORM(TRANS_TYPE
     &   , LENGTH_SET, BAND_SET, INDEX_CONTINUUM
     &   , P_SET, T_SET
     &   , U_SET, DENSITY_BROAD, TRANS_SET
     &   , WAVE_LENGTH_SHORT_SET, WAVE_LENGTH_LONG_SET
     &   )
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/dimensions_spec.ucf'
      INCLUDE 'incl/dimensions_pp.ucf'
      INCLUDE 'incl/def_std_io.icf'
      INCLUDE 'incl/def_pp_io.icf'
      INCLUDE 'incl/continuum.pcf'
      INCLUDE 'incl/continuum.ncf'
      INCLUDE 'incl/file_type.pcf'
!
!     DUMMY ARGUMENTS.
      CHARACTER	!, INTENT(IN)
     &     TRANS_TYPE*4
!             TYPE OF TRANSMITTANCE
      INTEGER	!, INTENT(IN)
     &     BAND_SET
!             ARRAY OF BANDS
     &   , LENGTH_SET
!             LENGTHS OF THE SETS
     &   , INDEX_CONTINUUM
!             INDEX OF SET
      REAL*8	!, INTENT(IN)
     &     P_SET
!             PRESSURES
     &   , T_SET
!             TEMPERATURES
     &   , U_SET(NPD_AMOUNT)
!             AMOUNTS OF WATER VAPOUR
     &   , DENSITY_BROAD(NPD_AMOUNT)
!             DENSITY OF BROADENER
     &   , TRANS_SET(NPD_AMOUNT)
!             TRANSMITTANCES
     &   , WAVE_LENGTH_SHORT_SET
!             SHORTER WAVELENGTHS
     &   , WAVE_LENGTH_LONG_SET
!             LONGER WAVELENGTHS
!
!     LOCAL VARIABLES
      INTEGER
     &     J
!             LOOP VARIABLE
!
!     SET NAMES OF CONTINUA.
      INCLUDE 'incl/continuum_names.dcf'
!
!
      WRITE(IU_TRANSMISSION_FORM, '(A13, I5, //)') '*FILE TYPE = '
     &   , IT_FILE_CONT_TRANS
      WRITE(IU_TRANSMISSION_FORM, '(A4, 1X, A/)')
     &   TRANS_TYPE, 'TRANSMITTANCE AGAINST AMOUNT OF ABSORBER:'
      WRITE(IU_TRANSMISSION_FORM, '(A15, 1X, A20, 2X, A6, 1X, I5)')
     &   'CONTINUUM TYPE:', NAME_CONTINUUM(INDEX_CONTINUUM)
     &   , 'INDEX:', INDEX_CONTINUUM
      WRITE(IU_TRANSMISSION_FORM
     &   , '(A13, 1X, 1PE10.3, 1X, A2, 2X, A17, 1X, 1PE10.3, 1X, A2)')
     &   'AT PRESSURE =', P_SET, 'Pa', 'AND TEMPERATURE =', T_SET, 'K.'
      WRITE(IU_TRANSMISSION_FORM
     &   , '(A8, I5, A1, 3X, 1PE10.3, A4, 2X, 1PE10.3, A2, /)')
     &   'IN BAND ', BAND_SET, ':'
     &   , WAVE_LENGTH_SHORT_SET, 'm TO', WAVE_LENGTH_LONG_SET, 'm.'
      WRITE(IU_TRANSMISSION_FORM, '(6X, A18, 3X, A18, 5X, A14)')
     &   'AMOUNT OF ABSORBER', 'BROADENING DENSITY', 'TRANSMITTANCE'
      WRITE(IU_TRANSMISSION_FORM, '(13X, A5, 16X, A6)')
     &   'kg/m2', 'mol/m3'
      DO J=1, LENGTH_SET
         WRITE(IU_TRANSMISSION_FORM, '(3(7X, 1PE15.8))')
     &      U_SET(J), DENSITY_BROAD(J), TRANS_SET(J)
      ENDDO
      WRITE(IU_TRANSMISSION_FORM, '(6X)')
!
!
      RETURN
      END
